Search variations
Search variations with given parameters
curl --request POST \
--url https://api.kameleoon.com/variations/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"field": "<string>",
"parameters": [
{}
]
},
"page": 123,
"perPage": 123,
"sort": [
{
"field": "<string>"
}
]
}
'import requests
url = "https://api.kameleoon.com/variations/search"
payload = {
"filter": {
"field": "<string>",
"parameters": [{}]
},
"page": 123,
"perPage": 123,
"sort": [{ "field": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {field: '<string>', parameters: [{}]},
page: 123,
perPage: 123,
sort: [{field: '<string>'}]
})
};
fetch('https://api.kameleoon.com/variations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kameleoon.com/variations/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'field' => '<string>',
'parameters' => [
[
]
]
],
'page' => 123,
'perPage' => 123,
'sort' => [
[
'field' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kameleoon.com/variations/search"
payload := strings.NewReader("{\n \"filter\": {\n \"field\": \"<string>\",\n \"parameters\": [\n {}\n ]\n },\n \"page\": 123,\n \"perPage\": 123,\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kameleoon.com/variations/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"field\": \"<string>\",\n \"parameters\": [\n {}\n ]\n },\n \"page\": 123,\n \"perPage\": 123,\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kameleoon.com/variations/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"field\": \"<string>\",\n \"parameters\": [\n {}\n ]\n },\n \"page\": 123,\n \"perPage\": 123,\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"siteId": 123,
"color": 123,
"creationMode": "AI",
"cssCode": "<string>",
"customJson": "<string>",
"experimentId": 123,
"expositionFrequencyDelaySecondsBetweenTwoExpositions": 123,
"expositionFrequencySameVisit": 123,
"expositionFrequencySameVisitor": 123,
"expositionFrequencySameVisitorDelaySeconds": 123,
"forceNoFlicker": true,
"id": 123,
"isJsCodeAfterDomReady": true,
"jsCode": "<string>",
"personalizationId": 123,
"prompt": {
"textInput": "<string>",
"attachments": [
{
"mediaType": "IMAGE",
"name": "US-39613 Image attachment",
"type": "TEMPORARY"
}
],
"promptSource": "<string>"
},
"redirection": {
"includeQueryParameters": true,
"parameters": "param1=foo¶m2=bar",
"type": "GLOBAL_REDIRECTION",
"url": "www.kameleoon.com"
},
"redirectionStrings": "<string>",
"shadowDom": true,
"widgetTemplateInput": "<string>"
}
]{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
OK
Name of the variation
Site ID of the project the variation belongs to
Variation color displayed in the editor
Creation mode of the variation: CODE_BASE, GRAPHICAL, AI or UNDEFINED
AI, CODE_BASE, GRAPHICAL, UNDEFINED, WIDGET Code editor CSS code for variation
Custom JSON for this variation
ID of the experiment this variation belongs to
Delay in seconds between two exposures
Frequency of exposure during the same visit
Frequency of the exposure for the same visitor
Delay in seconds between exposure for the same visitor
Unique ID of the variation
Set to true (which is also the default value) if the code applies once the DOM is ready.
Code editor javascript code for variation
ID of the personalization this variation belongs to
Object used to define an autorun message in the variation. Triggers the creation of a message of type autorun if valid
Show child attributes
Show child attributes
Redirection parameters of a variation
Show child attributes
Show child attributes
Redirect URL used for redirecting variation. Deprecated property: use property 'redirection' instead
ShadowDOM option
Widget template input data in JSON format.
Was this page helpful?
curl --request POST \
--url https://api.kameleoon.com/variations/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"field": "<string>",
"parameters": [
{}
]
},
"page": 123,
"perPage": 123,
"sort": [
{
"field": "<string>"
}
]
}
'import requests
url = "https://api.kameleoon.com/variations/search"
payload = {
"filter": {
"field": "<string>",
"parameters": [{}]
},
"page": 123,
"perPage": 123,
"sort": [{ "field": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {field: '<string>', parameters: [{}]},
page: 123,
perPage: 123,
sort: [{field: '<string>'}]
})
};
fetch('https://api.kameleoon.com/variations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kameleoon.com/variations/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'field' => '<string>',
'parameters' => [
[
]
]
],
'page' => 123,
'perPage' => 123,
'sort' => [
[
'field' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kameleoon.com/variations/search"
payload := strings.NewReader("{\n \"filter\": {\n \"field\": \"<string>\",\n \"parameters\": [\n {}\n ]\n },\n \"page\": 123,\n \"perPage\": 123,\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kameleoon.com/variations/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"field\": \"<string>\",\n \"parameters\": [\n {}\n ]\n },\n \"page\": 123,\n \"perPage\": 123,\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kameleoon.com/variations/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"field\": \"<string>\",\n \"parameters\": [\n {}\n ]\n },\n \"page\": 123,\n \"perPage\": 123,\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"siteId": 123,
"color": 123,
"creationMode": "AI",
"cssCode": "<string>",
"customJson": "<string>",
"experimentId": 123,
"expositionFrequencyDelaySecondsBetweenTwoExpositions": 123,
"expositionFrequencySameVisit": 123,
"expositionFrequencySameVisitor": 123,
"expositionFrequencySameVisitorDelaySeconds": 123,
"forceNoFlicker": true,
"id": 123,
"isJsCodeAfterDomReady": true,
"jsCode": "<string>",
"personalizationId": 123,
"prompt": {
"textInput": "<string>",
"attachments": [
{
"mediaType": "IMAGE",
"name": "US-39613 Image attachment",
"type": "TEMPORARY"
}
],
"promptSource": "<string>"
},
"redirection": {
"includeQueryParameters": true,
"parameters": "param1=foo¶m2=bar",
"type": "GLOBAL_REDIRECTION",
"url": "www.kameleoon.com"
},
"redirectionStrings": "<string>",
"shadowDom": true,
"widgetTemplateInput": "<string>"
}
]{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"status": "SUCCESS",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}